NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.ObjectAttributeManagementBuilder Class Reference

Tooling builder to assign and edit attributes of objects More...

Inheritance diagram for NXOpen.Tooling.ObjectAttributeManagementBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FilterAccordingToAttributeType { Part, Component, SolidBody, Face }
 the selection filter type according to attribute More...
 
enum  FilterType { Part, Component, SolidBody, Face }
 the selection filter type More...
 
enum  OccurenceOrPrototype { AssignAttributesToOccurence, AssignAttributesToPrototype }
 the assign attributes to occurence or prototype More...
 
enum  OccurenceOrPrototypeAccordingToAttribute { AssignAttributesToOccurence, AssignAttributesToPrototype }
 the assign attributes to occurence or prototype according to attribute More...
 
enum  ShowComponentsType { ShowAllComponents, OnlyShowComponentsWithAttribute, HideComponentsWithAttribute }
 the show type according to attribute More...
 
enum  ShowType { ShowAttributeOfSelectedObject, ShowObjectAccordingToAttribute }
 show attributes of selected objects or show objects according to attribute More...
 

Public Member Functions

unsafe void AddFromDataFileAttributeList ()
 The action to add selected attributes from attributes spreadsheet More...
 
unsafe void CopyAttribute ()
 The action to copy selected attributes More...
 
unsafe void DeleteAttribute ()
 The action to delete selected attributes More...
 
unsafe void EditConfigurationFile ()
 Tha action to edit attribute spreadsheet More...
 
unsafe void NewAttribute ()
 The action to new an attribute More...
 
unsafe void PasteAttribute ()
 The action to paste copied attributes More...
 
unsafe void UndoButton ()
 The action to undo last delete More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AttributeOfRootPart [get, set]
 Returns or sets the option whether to show attributes of root part More...
 
unsafe string AttributeTitles [get, set]
 Returns or sets the attribute titles More...
 
unsafe string AttributeValues [get, set]
 Returns or sets the attribute values More...
 
unsafe
NXOpen.Tooling.ObjectAttributeManagementBuilder.OccurenceOrPrototype 
OccurenceOrPrototypeEnum [get, set]
 Returns or sets the occurence or prototype enum More...
 
unsafe
NXOpen.Tooling.ObjectAttributeManagementBuilder.OccurenceOrPrototypeAccordingToAttribute 
OccurenceOrPrototypeEnumAccordingToAttribute [get, set]
 Returns or sets the occurence or prototype enum according to attribute More...
 
unsafe string SelectAttributeSpreadsheet [get, set]
 Returns or sets the selected attribute spreadsheet More...
 
unsafe NXOpen.SelectNXObjectList SelectBody [get]
 Returns the select body More...
 
unsafe NXOpen.SelectNXObjectList SelectBodyAccordingToAttribute [get]
 Returns the select body according to attribute More...
 
unsafe NXOpen.SelectNXObjectList SelectComponent [get]
 Returns the selected objects More...
 
unsafe NXOpen.SelectNXObjectList SelectComponentAccordingToAttribute [get]
 Returns the objects according to attributes More...
 
unsafe NXOpen.ScCollector SelectFace [get]
 Returns the select face More...
 
unsafe NXOpen.ScCollector SelectFaceAccordingToAttribute [get]
 Returns the faces according to attribute More...
 
unsafe
NXOpen.Tooling.ObjectAttributeManagementBuilder.FilterType 
SelectionFilter [get, set]
 Returns or sets the selection filter More...
 
unsafe
NXOpen.Tooling.ObjectAttributeManagementBuilder.FilterAccordingToAttributeType 
SelectionFilterAccordingToAttribute [get, set]
 Returns or sets the selection filter according to attribute More...
 
unsafe
NXOpen.Tooling.ObjectAttributeManagementBuilder.ShowComponentsType 
ShowTypeEnum [get, set]
 Returns or sets the show type enumeration More...
 
unsafe bool ToggleListDependents [get, set]
 Returns or sets the option whether to list dependent components More...
 
unsafe
NXOpen.Tooling.ObjectAttributeManagementBuilder.ShowType 
Type [get, set]
 Returns or sets the type show objects or attributes More...
 
unsafe int WizardType [get, set]
 Returns or sets the wizard type More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Tooling builder to assign and edit attributes of objects

To create a new instance of this class, use NXOpen.Tooling.ObjectAttributeManagementCollection.CreateObjectAttributeManagementBuilder

Default values.

Property Value

AttributeOfRootPart

0

OccurenceOrPrototypeEnum

AssignAttributesToPrototype

OccurenceOrPrototypeEnumAccordingToAttribute

AssignAttributesToPrototype

SelectionFilter

Component

SelectionFilterAccordingToAttribute

Component

ShowTypeEnum

ShowAllComponents

ToggleListDependents

0

Type

ShowObjectAccordingToAttribute

Created in NX9.0.0

Member Enumeration Documentation

the selection filter type according to attribute

Enumerator
Part 
Component 
SolidBody 
Face 

the selection filter type

Enumerator
Part 
Component 
SolidBody 
Face 

the assign attributes to occurence or prototype

Enumerator
AssignAttributesToOccurence 
AssignAttributesToPrototype 

the assign attributes to occurence or prototype according to attribute

Enumerator
AssignAttributesToOccurence 
AssignAttributesToPrototype 

the show type according to attribute

Enumerator
ShowAllComponents 
OnlyShowComponentsWithAttribute 
HideComponentsWithAttribute 

show attributes of selected objects or show objects according to attribute

Enumerator
ShowAttributeOfSelectedObject 
ShowObjectAccordingToAttribute 

Member Function Documentation

unsafe void NXOpen.Tooling.ObjectAttributeManagementBuilder.AddFromDataFileAttributeList ( )
inline

The action to add selected attributes from attributes spreadsheet

Created in NX9.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ObjectAttributeManagementBuilder.CopyAttribute ( )
inline

The action to copy selected attributes

Created in NX9.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ObjectAttributeManagementBuilder.DeleteAttribute ( )
inline

The action to delete selected attributes

Created in NX9.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ObjectAttributeManagementBuilder.EditConfigurationFile ( )
inline

Tha action to edit attribute spreadsheet

Created in NX9.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ObjectAttributeManagementBuilder.NewAttribute ( )
inline

The action to new an attribute

Created in NX9.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ObjectAttributeManagementBuilder.PasteAttribute ( )
inline

The action to paste copied attributes

Created in NX9.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.ObjectAttributeManagementBuilder.UndoButton ( )
inline

The action to undo last delete

Created in NX9.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe bool NXOpen.Tooling.ObjectAttributeManagementBuilder.AttributeOfRootPart
getset

Returns or sets the option whether to show attributes of root part

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.ObjectAttributeManagementBuilder.AttributeTitles
getset

Returns or sets the attribute titles

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.ObjectAttributeManagementBuilder.AttributeValues
getset

Returns or sets the attribute values

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.ObjectAttributeManagementBuilder.OccurenceOrPrototype NXOpen.Tooling.ObjectAttributeManagementBuilder.OccurenceOrPrototypeEnum
getset

Returns or sets the occurence or prototype enum

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.ObjectAttributeManagementBuilder.OccurenceOrPrototypeAccordingToAttribute NXOpen.Tooling.ObjectAttributeManagementBuilder.OccurenceOrPrototypeEnumAccordingToAttribute
getset

Returns or sets the occurence or prototype enum according to attribute

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.ObjectAttributeManagementBuilder.SelectAttributeSpreadsheet
getset

Returns or sets the selected attribute spreadsheet

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.ObjectAttributeManagementBuilder.SelectBody
get

Returns the select body

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.ObjectAttributeManagementBuilder.SelectBodyAccordingToAttribute
get

Returns the select body according to attribute

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.ObjectAttributeManagementBuilder.SelectComponent
get

Returns the selected objects

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.ObjectAttributeManagementBuilder.SelectComponentAccordingToAttribute
get

Returns the objects according to attributes

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.ObjectAttributeManagementBuilder.SelectFace
get

Returns the select face

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.ObjectAttributeManagementBuilder.SelectFaceAccordingToAttribute
get

Returns the faces according to attribute

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Tooling.ObjectAttributeManagementBuilder.FilterType NXOpen.Tooling.ObjectAttributeManagementBuilder.SelectionFilter
getset

Returns or sets the selection filter

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.ObjectAttributeManagementBuilder.FilterAccordingToAttributeType NXOpen.Tooling.ObjectAttributeManagementBuilder.SelectionFilterAccordingToAttribute
getset

Returns or sets the selection filter according to attribute

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.ObjectAttributeManagementBuilder.ShowComponentsType NXOpen.Tooling.ObjectAttributeManagementBuilder.ShowTypeEnum
getset

Returns or sets the show type enumeration

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.ObjectAttributeManagementBuilder.ToggleListDependents
getset

Returns or sets the option whether to list dependent components

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.ObjectAttributeManagementBuilder.ShowType NXOpen.Tooling.ObjectAttributeManagementBuilder.Type
getset

Returns or sets the type show objects or attributes

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Tooling.ObjectAttributeManagementBuilder.WizardType
getset

Returns or sets the wizard type

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.